Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTasksByVariousFieldsCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<TaskSummary>>
              org.jbpm.services.task.commands.GetTasksByVariousFieldsCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<TaskSummary>>, Command<List<TaskSummary>>

Deprecated.

    @Deprecated
    public class GetTasksByVariousFieldsCommand

extends UserGroupCallbackTaskCommand<List<TaskSummary>>

This command will be deleted as of jBPM 7.x.

See Also:
  `TaskService#taskQuery()}`, Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTasksByVariousFieldsCommand()` Deprecated.
`GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, boolean union)` Deprecated.
`GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, List<String> language, boolean union)` Deprecated.
`GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, List<String> language, boolean union, Integer maxResults)` Deprecated.
`GetTasksByVariousFieldsCommand(Map<String,List<?>> params, boolean union)` Deprecated.
`GetTasksByVariousFieldsCommand(Map<String,List<?>> params, boolean union, Integer maxResults)` Deprecated.

Method Summary
`List<TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)` Deprecated.
`List<String>` | `getBusAdmins()` Deprecated.
`List<String>` | `getLanguage()` Deprecated.
`Integer` | `getMaxResults()` Deprecated.
`List<String>` | `getPotOwners()` Deprecated.
`List<Long>` | `getProcInstIds()` Deprecated.
`List<Status>` | `getStatuses()` Deprecated.
`List<Long>` | `getTaskIds()` Deprecated.
`List<String>` | `getTaskOwners()` Deprecated.
`Boolean` | `getUnion()` Deprecated.
`List<Long>` | `getWorkItemIds()` Deprecated.
`protected List<String>` | `populateOrganizationalEntityWithGroupInfo(List<String> entities, TaskContext context)` Deprecated. Populates given list with group information taken from UserGroupCallback implementation to allow proper query for tasks based on user assignments.
`void` | `setBusAdmins(List<String> busAdmins)` Deprecated.
`void` | `setLanguage(List<String> language)` Deprecated.
`void` | `setMaxResults(Integer maxResults)` Deprecated.
`void` | `setPotOwners(List<String> potOwners)` Deprecated.
`void` | `setProcInstIds(List<Long> procInstIds)` Deprecated.
`void` | `setStatuses(List<Status> statuses)` Deprecated.
`void` | `setTaskIds(List<Long> taskIds)` Deprecated.
`void` | `setTaskOwners(List<String> taskOwners)` Deprecated.
`void` | `setUnion(Boolean union)` Deprecated.
`void` | `setWorkItemIds(List<Long> workItemIds)` Deprecated.

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand()

  Deprecated.

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                          List<Long> taskIds,
                                          List<Long> procInstIds,
                                          List<String> busAdmins,
                                          List<String> potOwners,
                                          List<String> taskOwners,
                                          List<Status> statuses,
                                          boolean union)

  Deprecated.

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                          List<Long> taskIds,
                                          List<Long> procInstIds,
                                          List<String> busAdmins,
                                          List<String> potOwners,
                                          List<String> taskOwners,
                                          List<Status> statuses,
                                          List<String> language,
                                          boolean union)

  Deprecated.

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                          List<Long> taskIds,
                                          List<Long> procInstIds,
                                          List<String> busAdmins,
                                          List<String> potOwners,
                                          List<String> taskOwners,
                                          List<Status> statuses,
                                          List<String> language,
                                          boolean union,
                                          Integer maxResults)

  Deprecated.

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(Map<String,List<?>> params,
                                          boolean union)

  Deprecated.

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(Map<String,List<?>> params,
                                          boolean union,
                                          Integer maxResults)

  Deprecated.

Method Detail

### execute

    public List<TaskSummary> execute(org.kie.internal.command.Context cntxt)

  Deprecated.
  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<List<TaskSummary>>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<List<TaskSummary>>`

### getWorkItemIds

    public List<Long> getWorkItemIds()

  Deprecated.

### setWorkItemIds

    public void setWorkItemIds(List<Long> workItemIds)

  Deprecated.

### getTaskIds

    public List<Long> getTaskIds()

  Deprecated.

### setTaskIds

    public void setTaskIds(List<Long> taskIds)

  Deprecated.

### getProcInstIds

    public List<Long> getProcInstIds()

  Deprecated.

### setProcInstIds

    public void setProcInstIds(List<Long> procInstIds)

  Deprecated.

### getBusAdmins

    public List<String> getBusAdmins()

  Deprecated.

### setBusAdmins

    public void setBusAdmins(List<String> busAdmins)

  Deprecated.

### getPotOwners

    public List<String> getPotOwners()

  Deprecated.

### setPotOwners

    public void setPotOwners(List<String> potOwners)

  Deprecated.

### getTaskOwners

    public List<String> getTaskOwners()

  Deprecated.

### setTaskOwners

    public void setTaskOwners(List<String> taskOwners)

  Deprecated.

### getStatuses

    public List<Status> getStatuses()

  Deprecated.

### setStatuses

    public void setStatuses(List<Status> statuses)

  Deprecated.

### getLanguage

    public List<String> getLanguage()

  Deprecated.

### setLanguage

    public void setLanguage(List<String> language)

  Deprecated.

### getUnion

    public Boolean getUnion()

  Deprecated.

### setUnion

    public void setUnion(Boolean union)

  Deprecated.

### getMaxResults

    public Integer getMaxResults()

  Deprecated.

### setMaxResults

    public void setMaxResults(Integer maxResults)

  Deprecated.

### populateOrganizationalEntityWithGroupInfo

    protected List<String> populateOrganizationalEntityWithGroupInfo(List<String> entities,
                                                                     TaskContext context)

  Deprecated.
  Populates given list with group information taken from UserGroupCallback implementation to allow proper query for tasks based on user assignments.

  Parameters:
    `entities` - - "raw" list of organizational entities
  Returns:
    if list is not null and not empty returns list of org entities populated with group info, otherwise same as argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.